<div class="flex-row align-items-center">
  @if (statusIcon) {
    <i
      [attr.data-test-element-id]="'credentials-status-icon:' + statusIcon"
      nz-icon
      class="credentials-info-icon"
      [nzType]="getIconType()"
      nzTheme="twotone"
      [nzTwotoneColor]="getIconColor()"
    ></i>
  }
  @if (statusMessage) {
    <span
      class="txt-bold"
      [attr.data-test-element-id]="'credentials-status-message'"
    >
      {{ statusMessage | translate }}
    </span>
  }
</div>
